aboutsummaryrefslogtreecommitdiffstats
path: root/main/nfdump/APKBUILD
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@gmail.com>2012-03-18 03:06:25 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2013-01-03 15:18:06 +0000
commit80a9ff52adac0c4c8df5c29a15203c133bf90860 (patch)
tree1bf2e6ba105f50732fd714ac44ca793f8bc04a4f /main/nfdump/APKBUILD
parent7902826268d6673814d5ffc58466abb6773da01c (diff)
downloadaports-80a9ff52adac0c4c8df5c29a15203c133bf90860.tar.gz
aports-80a9ff52adac0c4c8df5c29a15203c133bf90860.tar.bz2
aports-80a9ff52adac0c4c8df5c29a15203c133bf90860.tar.xz
main/nfdump: backported from v2.3
Diffstat (limited to 'main/nfdump/APKBUILD')
-rw-r--r--main/nfdump/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/main/nfdump/APKBUILD b/main/nfdump/APKBUILD
new file mode 100644
index 0000000000..55083c8fcf
--- /dev/null
+++ b/main/nfdump/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor:
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=nfdump
+pkgver=1.6.4
+pkgrel=2
+pkgdesc="The nfdump tools collect and process netflow data on the command line."
+url="http://nfdump.sourceforge.net/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="bison flex $depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz\
+ nfcapd.confd\
+ nfcapd.initd"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m755 "$srcdir"/nfcapd.initd \
+ "$pkgdir"/etc/init.d/nfcapd
+
+ install -D -m644 "$srcdir"/nfcapd.confd \
+ "$pkgdir"/etc/conf.d/nfcapd
+}
+
+md5sums="a5ab5657da78f0f57ac7d29f31883949 nfdump-1.6.4.tar.gz
+d525c691a62a5746c581f5e9776ed866 nfcapd.confd
+d2b60619e18120af68771f3b866177e8 nfcapd.initd"